## Model Updating

## Usage

    update.formula(old, new)

## Arguments

`old` | a model formula to be updated.
`new` | a formula giving a template which specifies how to update.

## Description

`update.formula` is used to update model formulae. This typically involves adding or dropping terms, but updates can be more general.

The function works by first identifying the left-hand side and right-hand side of the `old` formula. It then examines the `new` formula and substitutes the lhs of the `old` formula for any occurence of "`.`" on the left of `new`, and substitutes the rhs of the `old` formula for any occurence of "`.`" on the right of `new`.

The updated formula is returned.

## See Also

`terms`, `model.matrix`.

[Package Contents]